[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParams.ParamValues

Named access to the parameter values.

## Declaration

Source position: db.pas line 1236

`public property TParams.ParamValues: Variant read GetParamValue write SetParamValue;`

## Description

ParamValues provides access to the parameter values (TParam.Value) by name. It is equivalent to reading and writing

    ParamByName(ParamName).Value

## See also

TParam.Value |  | Value as a variant
TParams.ParamByName |  | Return a parameter by name

The latest version of this document can be found at lazarus-ccr.sourceforge.net .